<script lang="ts">
	import type { Account } from "@/utils/types";
	import { Button, Dialog, Modal, TextField } from "attractions";
	import type { DialogProps } from "attractions/dialog/dialog.svelte";

	export let closeCallback: DialogProps["closeCallback"];
	export let account: Account | undefined;
	export let form_action: string;
</script>

<Dialog {closeCallback} title={`'${account?.name}' átnevezése`}>
	<form class="form" method="POST" action={form_action}>
		<TextField outline label="Új név" name="name" />
		<input type="hidden" name="account_number" value={account?.number} />

		<Button type="submit">Átnevezés</Button>
	</form>
</Dialog>

<style>
	.form {
		display: flex;
		column-gap: 12px;
	}
</style>
